package com.crm.ucard.service;

import com.crm.rely.backend.core.dto.ucard.CardTransacOrderDto;
import com.crm.rely.backend.core.dto.ucard.GlobalPaymentOrderDto;
import com.crm.rely.backend.core.dto.ucard.MerchantUserDto;
import com.crm.rely.backend.core.dto.ucard.UcardCardDto;
import com.crm.rely.backend.core.entity.base.SingleLongEntity;
import com.crm.rely.backend.core.entity.ucard.CardPageEntity;
import com.crm.rely.backend.exception.ServiceException;

import java.util.List;

public interface UcardApiService {

    List<UcardCardDto> getCardList(CardPageEntity entity) throws ServiceException;

    UcardCardDto getCardSingle(SingleLongEntity entity) throws ServiceException;

    CardTransacOrderDto getTransactionSingle(SingleLongEntity entity) throws ServiceException;

    GlobalPaymentOrderDto getTransferPaymentSingle(SingleLongEntity entity) throws ServiceException;

    MerchantUserDto merchantUserSingle(Long cId) throws ServiceException;
}
